<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [placeFragment](./bitburner.stanek.placefragment.md)

## Stanek.placeFragment() method

Place fragment on Stanek's Gift.

**Signature:**

```typescript
placeFragment(rootX: number, rootY: number, rotation: number, fragmentId: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootX | number | X against which to align the top left of the fragment. |
|  rootY | number | Y against which to align the top left of the fragment. |
|  rotation | number | A number from 0 to 3, the mount of 90 degree turn to take. |
|  fragmentId | number | ID of the fragment to place. |

**Returns:**

boolean

true if the fragment can be placed at that position. false otherwise.

## Remarks

RAM cost: 5 GB

